petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESMSSetType

Set the type of multistage smoother

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESMSSetType(SNES snes,SNESMSType rostype)

Logically collective

### Input Parameter

| snes | - nonlinear solver context
| mstype | - type of multistage method

### See Also

SNESMSGetType(), SNESMS

Level:beginner
Location:src/snes/impls/ms/ms.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages